# Config

## **Config Settings**

Below is a simple explanation of the main config sections found in the script.

***

### **Contracts**

```lua
FRKN.Contracts[1]
```

Defines the Pirate Heist contract.

Important fields:

* `name` – display name
* `category` – heist category
* `requirements` – required item to start (compass)
* `event` – event triggered when starting the heist
* `timeOut` – time limit
* `rank` – crew ranks

***

### **ItemList**

```lua
ItemList = {
  ["pirate_tablet"] = {...},
  ["compass"] = {...},
}
```

These are required items for the script to function.

***

### **targetSettings**

```lua
targetSettings = {
    name = "qb-target",
    TargetText = {
        npcInteract = "Talk",
        collectGold = "Collect the money",
    },
}
```

* Change `name` to `"ox_target"` if needed
* Edit target labels here

***

### **Ship Settings**

```lua
shipCoords
shipHeading
```

Defines where the pirate ship spawns.

***

### **Loot Coordinates**

```lua
weedPallets
trolleyCoords
cases
```

These represent all lootable objects on the ship.

You may add/remove/edit positions as needed.

***

### **Paintings**

Each painting includes:

* reward item
* cutting position
* object model
* rotation
* taken status

***

### **NPC Settings**

NPCs are controlled under:

```lua
Coords["shipSpawns"][1].npcs
```

Each NPC has:

* model
* coords
* heading
* weapon
* armor/health
* accuracy
* flareShooter (true/false)

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-pirate-heist/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
